unit TimeSeriesConstants;

interface
const
  LDP_ROLLOVER_MAX = 9999999.99;
  LDP_UNITS_PRIMARY = 0;
  LDP_UNITS_SECONDARY = 1;
  LDP_SCALE_UNITY = 0;
  LDP_SCALE_KILO = 1;
  LDP_SCALE_MEGA = 2;
  LDP_REPORT_STANDARD = 0;
  LDP_REPORT_MV90 = 1;
  LDP_UNITS_LIST : array[0..2] of string = ('Unknown','Primary','Secondary');
  LDP_SCALE_LIST : array[0..3] of string = ('Unknown','Unity','Kilo','Mega');
  LDP_REPORT_LIST : array[0..2] of string = ('Unknown','Standard','MV-90');
  LDP_SCALE_ABBR_LIST : array[0..3] of string = ('','','K','M');
  SCALE_UNITS_LIST : array[0..9] of string = ('A','V','W','VAR','HZ','VA','Wh','VAh','VARh','Vh');
type
  TTimeSeriesFileType = (ftUnknown = -1, ftReport, ftCSV, ftText);
  TTimeSeriesUnitsType = (utUnknown = -1, utPrimary, utSecondary);
  TTimeSeriesScaleType = (stUnknown = -1, stUnity, stKilo, stMega);
  TTimeSeriesReportType = (rtUnknown = -1, rtStandard, rtMV90, rtMV90Import=9);

implementation

end.
